<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Modals\Post;
use Session;
use App\User;
use Carbon\Carbon;
use Hash;
use Auth;


class AdminController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
         $this->middleware('auth');

    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function dashboard($menu=null)
    {

      $id = Auth::User()->id;
      $myposts = Post::where('user_id', $id)->get();
      $posts = Post::where('user_id','!=', $id)->get();
      if($menu != null)
      {
        $posts = Post::where('user_id','!=', $id)->where('type', $menu)->get();
      }
        return view('admin.dashboard', ['myposts'=>$myposts,'posts'=>$posts]);
    }



    public function addnewpost(Request $request)
    {
        $post = new Post();
        $post->title = $request->title;
        $post->description = $request->description;
        $post->type = $request->type;
        $post->readytime = $request->readytime;
        $post->readydate = $request->readydate;
        $post->lat = $request->lat;
        $post->lng = $request->lng;
        $post->user_id = Auth::User()->id;
        $post->status = 0;


        if($request->image)
        {
        $value = $request->image;
        $namefile = uniqid().".".$value->getClientOriginalExtension();
        $value->storeAs('public/images', $namefile);
        $post->image =  $namefile;
        }
        $post->save();

        Session::flash('success', 'Successfully, Added !');
        return redirect()->back();
    }

    public function editpost($id)
    {
        $post = Post::where('id',$id)->first();
        $post->status = 1;
        $post->save();

        Session::flash('success', 'Successfully, Edited !');
        return redirect()->back();
    }



    public function deletepost($id)
    {
      $post =  Post::where('id' , $id)->first();
      $post->delete();
      Session::flash('success', 'Successfully, deleted !');
      return redirect()->back();
    }

    public function contactme($id)
    {
      $user =  User::where('id' , $id)->first();

      return view('admin.contact',['user'=>$user]);
    }

    public function getmap($id)
    {
      $post =  Post::where('id' , $id)->first();

      return view('admin.map',['post'=>$post]);
    }

}
