<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use Hash;
use Auth;
use Session;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function loginCheck()
    {
        $user = \Auth::user();

        Session::flash('success', 'Successfully, Logged In !');
        return redirect()->route('admin.dashboard');
      
    }

    public function userLogout(Request $request)
    {
        Auth::logout();
        $request->session()->invalidate();
        Session::flash('success', 'Session Logged out!');
        return redirect()->route('login');
    }
}
